#!/bin/bash
#CentOS 7
#Purpose:To automate user creation
mkdir -p /home/useraccounts
for (( i=1; i<=23; i++ ))
do
#so this script will create student1, student2, student3 etc depending on "i"
useradd -g wheel -s /bin/bash -d /home/useraccounts/student$i -m -p $(echo password$i | openssl passwd -1 -stdin) student$i
done
yum -y update
yum -y install git
yum -y install wget
yum -y install python-devel
yum -y install gcc openssl-devel bzip2-devel libffi-devel
#Update to Python 3.8.2
cd /opt
wget https://www.python.org/ftp/python/3.8.2/Python-3.8.2.tgz
tar xzf Python-3.8.2.tgz
rm -f Python-3.8.2.tgz
cd Python-3.8.2
sudo ./configure --enable-optimizations
sudo make altinstall
ln -sfn /usr/local/bin/python3.8 /usr/bin/python3
yum -y install python3-pip
pip3 install --upgrade pip
#Install Koadic
cd /
git clone https://github.com/offsecginger/koadic.git
pip3 install -r /koadic/requirements.txt
done
