#!/bin/bash
# Debian LXDE
#Purpose:To automate user creation
mkdir -p /home/useraccounts
for (( i=1; i<=23; i++ ))
do
#so this script will create student1, student2, student3 etc depending on "i"
useradd -g sudo -s /bin/bash -d /home/useraccounts/student$i -m -p $(echo password$i | openssl passwd -1 -stdin) student$i
done
#Install Koadic
apt-get upgrade -y && apt-get update -y
apt-get install git -y
git clone https://github.com/offsecginger/koadic.git
apt-get install -y make build-essential libssl-dev zlib1g-dev
apt-get install -y libbz2-dev libreadline-dev libsqlite3-dev wget curl llvm
apt-get install -y libncurses5-dev libncursesw5-dev xz-utils tk-dev
apt-get install -y libc6-dev-i386
apt-get install python3-pip -y
wget https://www.python.org/ftp/python/3.8.2/Python-3.8.2.tgz -O /opt/Python-3.8.2.tgz
tar xvf /opt/Python-3.8.2.tgz -C /opt/
cd /opt/Python-3.8.2/
./configure --enable-optimizations
make -j8
make altinstall
pip3 install --upgrade pip
#ln -sfn /usr/local/bin/python3.8 /usr/bin/python3
python3 -m pip install -r /koadic/requirements.txt
done
