#!/bin/bash
# Ubuntu
# ----- ENABLE SUDO NOPASSWD
sed -i 's/# %wheel\tALL=(ALL)\tNOPASSWD: ALL/%wheel\tALL=(ALL)\tNOPASSWD: ALL/g' /etc/sudoers
# ----- ENABLES SSH
sed -i '/ssh_pwauth:   0/ c\ssh_pwauth:   1' /etc/cloud/cloud.cfg
sed -i '/PasswordAuthentication no/ c\PasswordAuthentication yes' /etc/ssh/sshd_config
sed -i '/#PermitRootLogin prohibit-password/ c\PermitRootLogin yes' /etc/ssh/sshd_config
sed -i '/#Port 22/ c\Port 22' /etc/ssh/sshd_config
service sshd restart
echo "root:maytheforcebewithyou" | chpasswd
#Install Docker
#Run as root
apt-get update && apt-get install curl -y
curl -fsSL https://get.docker.com > docker_installer.sh
chmod +x ./docker_installer.sh && ./docker_installer.sh
usermod -aG docker root
usermod -aG docker student1
#Install pupy
#Run as root
apt-get install git libssl1.0-dev libffi-dev python-dev python-pip tcpdump python-virtualenv -y
#Install Pupy
#Run these commands NOT as root
sudo -u student1 git clone --recursive https://github.com/n1nj4sec/pupy /home/useraccounts/student1/pupy
cd /home/useraccounts/student1 && sudo -u student1 ./pupy/create-workspace.py pupyws
sudo -u student1 ./pupy/install.sh
sudo -u student1 export PATH=$PATH:~/.local/bin; pupysh